/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


package au.com.bowerbird.teaser;

import java.net.*;
import java.io.*;

/**
 * A Server for the Teaser and Firecat System.
 *
 * This just waits on the port and spawns a new thread for each
 * socket.
 *
 * @author Matthew Parry <a href=mailto:mettw@bowerbird.com.au>mettw@bowerbird.com.au</a>
 * @since alpha-i
 */

public class Main {
  public static void main (String[] args) {
    ServerSocket ss;
    Socket socket;
    
    try{ss = new ServerSocket(7173);}
    catch(IOException e){
      System.out.println(e.getMessage());
      return;
    }

  listen: while (true) {
    try {socket = ss.accept();}
    catch(IOException e){
      System.out.println(e.getMessage());
      continue listen;
    }
    new TeaserSocket(socket).start();
  }
  }
}
